﻿using System.Collections.Generic;

namespace CheckBoxColumn
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow
	{
		public class Customer
		{
			public string Name
			{
				get; 
				set;
			}

			public int Age
			{
				get; 
				set;
			}

			public bool HasOrders
			{
				get; 
				set;
			}
		}


		public MainWindow()
		{
			InitializeComponent();

			List<Customer> customers = new List<Customer>();
			customers.Add(new Customer { Age = 25, Name = "John", HasOrders = true });
			customers.Add(new Customer { Age = 23, Name = "Mary", HasOrders = false });

			this.DataContext = customers;
		}
	}
}
